<hdlconfig>

  <device name='platform_ad9361_spi'  card='fmcomms_2_3_hpc_scdcd' slot='fmc_hpc1'>
    <property name='CP_CLK_FREQ_HZ_p' value='100e6'/> <!-- MUST set this worker the control plane clock freq value -->
  </device>

  <device name='platform_ad9361_data_sub' card='fmcomms_2_3_hpc_scdcd' slot='fmc_hpc1'>
    <property name='lvds_p' value='true'/>
    <!-- MUST enforce use of a particular parameterized build of this
         worker which corresponds to parameter property values which are
         required for the RX/TX clock/data paths for the <platform>/fmcomms2/3 setup/hold
         requirements -->
    <property name='DATA_CLK_Delay' value='3'/>
    <property name='RX_Data_Delay'  value='0'/>
    <property name='FB_CLK_Delay'   value='7'/>
    <property name='TX_Data_Delay'  value='0'/>
  </device>
  <device name='platform_ad9361_config'  card='fmcomms_2_3_hpc_scdcd' slot='fmc_hpc1'>
    <property name='pin_control_p' value='true'/>
  </device>

  <!-- 1 RX channel(s), 1 TX channel(s) data interface(s) -->
  <Device name='data_src_qadc_ad9361_sub' card='fmcomms_2_3_hpc_scdcd' slot='fmc_hpc1'/>
  <Device name='data_sink_qdac_ad9361_sub' card='fmcomms_2_3_hpc_scdcd' slot='fmc_hpc1'/>
  <Device name='data_src_qadc0' card='fmcomms_2_3_hpc_scdcd' slot='fmc_hpc1'> <!-- connection must be defined in a container -->
    <Property name='ADC_INPUT_IS_LSB_OF_OUT_PORT' value='true'/>
  </Device>
  <Device name='data_sink_qdac0' card='fmcomms_2_3_hpc_scdcd' slot='fmc_hpc1'> <!-- connection must be defined in a container -->
    <Property name='DAC_OUTPUT_IS_LSB_OF_IN_PORT' value='false'/>
  </Device>

</hdlconfig>
